/**
 * JavaScript hooks for the sp-list macro in the Confluence 4 Editor
 **/
AJS.Confluence.PropertyPanel.Macro.registerButtonHandler("view-in-sp", function(e, macroNode) {

    var rawParams = AJS.$(macroNode).attr("data-macro-parameters").split("|");

    var paramsUrl = "";
    var firstParam = true;
    AJS.$(rawParams).each(function(i, param) {
        var index = param.indexOf("=");
        if (index < 0 && !macro.params[""]) { // unnamed parameter
            paramsUrl += (firstParam ? "?" : "&") + encodeURIComponent(param);
        }
        else {
            var key = param.substring(0, index);
            var value = param.substring(index + 1);
            paramsUrl += (firstParam ? "?" : "&") + encodeURIComponent(key) + "=" + encodeURIComponent(value);
        }
        firstParam = false;
    });
    var destinationUrl = AJS.params.contextPath + "/plugins/servlet/sharepoint/view" + paramsUrl;
    AJS.log("View in SharePoint - " + destinationUrl);
    window.open(destinationUrl);
});
